View Issue Details

IDProjectCategoryView StatusLast Update
0001335SymmetricDSBugpublic2014-02-02 20:53
ReportersnpeAssigned Toabrougher 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.1Fixed in Version3.5.4 
Summary0001335: dbexport doesn't work with SQL Anywhere
Description- create some table, for instance, test
- call
../bin/dbexport --engine <your_engine> --schema DBA --format sql test

You will got:

An exception occurred. Please see the following for details:
-------------------------------------------------------------------------------
java.lang.RuntimeException: Unable to create DML statements for unknown dialect: sqlanywhere
    at org.jumpmind.db.platform.DmlStatementFactory.createDmlStatement(DmlStatementFactory.java:50)
    at org.jumpmind.db.platform.DmlStatementFactory.createDmlStatement(DmlStatementFactory.java:40)
    at org.jumpmind.symmetric.io.data.DbExport$WriterWrapper.startTable(DbExport.java:444)
    at org.jumpmind.symmetric.io.data.DbExport.writeTable(DbExport.java:210)
    at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:182)
    at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:160)
    at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:150)
    at org.jumpmind.symmetric.DbExportCommand.executeWithOptions(DbExportCommand.java:186)
    at org.jumpmind.symmetric.AbstractCommandLauncher.execute(AbstractCommandLauncher.java:130)
    at org.jumpmind.symmetric.DbExportCommand.main(DbExportCommand.java:73)


Attached is a patch.
TagsNo tags attached.

Activities

snpe

2013-07-22 18:39

reporter  

dbexport.patch (1,049 bytes)
Index: symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java
===================================================================
--- symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java	(revision 7559)
+++ symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java	(working copy)
@@ -34,6 +34,7 @@
 import org.jumpmind.db.platform.mysql.MySqlDdlBuilder;
 import org.jumpmind.db.platform.oracle.OracleDdlBuilder;
 import org.jumpmind.db.platform.postgresql.PostgreSqlDdlBuilder;
+import org.jumpmind.db.platform.sqlanywhere.SqlAnywhereDdlBuilder;
 import org.jumpmind.db.platform.sqlite.SqliteDdlBuilder;
 
 /**
@@ -79,6 +80,8 @@
             return new SqliteDdlBuilder();  
         } else if (DatabaseNamesConstants.ASE.equalsIgnoreCase(databaseName)) {
             return new AseDdlBuilder();
+        } else if (DatabaseNamesConstants.SQLANYWHERE.equalsIgnoreCase(databaseName)) {
+            return new SqlAnywhereDdlBuilder();
         } else {
             return null;
         }
dbexport.patch (1,049 bytes)

Related Changesets

SymmetricDS: master 1facc1ea

2013-08-19 10:04:30

abrougher

Details Diff
0001335: dbexport doesn't work with SQL Anywhere
0001335
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java Diff File

Issue History

Date Modified Username Field Change
2013-07-22 18:39 snpe New Issue
2013-07-22 18:39 snpe File Added: dbexport.patch
2013-07-22 21:22 chenson Assigned To => abrougher
2013-07-22 21:22 chenson Status new => assigned
2013-07-22 21:22 chenson Target Version => 3.5.1
2013-08-19 10:04 abrougher Status assigned => closed
2013-08-19 10:04 abrougher Resolution open => fixed
2013-08-19 10:04 abrougher Fixed in Version => 3.5.4
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7650
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 1facc1ea